## grub-installer 1.36ubuntu5

=== debian/changelog ===
grub-installer (1.36ubuntu5) jaunty; urgency=low

  * Handle /dev/mmcblk* in split_device (LP: #348411).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:49:58 +0000

grub-installer (1.36ubuntu4) jaunty; urgency=low

  * cciss and ida logical drive numbers may go up to 15, not just 9.
  * Only check for the boot partition being on dmraid if the user allowed us
    to activate dmraid, to cope with cases where dmraid is misdetected
    (LP: #346001).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Mar 2009 18:26:39 +0000

grub-installer (1.36ubuntu3) jaunty; urgency=low

  [ Evan Dandrea ]
  * Clarify why we cannot always default to the device that contains the
    boot partition for grub-installer/bootdev.

  [ Steve Langasek ]
  * Make grub2 available as an option in expert mode again, restoring the
    Debian behavior.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2009 00:13:02 -0700

grub-installer (1.36ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 12:42:05 +0000

grub-installer (1.36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (XFS change fixes LP: #8058). Remaining
    changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device
      name.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Handle /boot being on a virtio device.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems.
    - 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Jan 2009 13:19:18 +0000

grub-installer (1.35ubuntu4) jaunty; urgency=low

  * Fix syntax error in otheros.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 23:52:52 +0000

grub-installer (1.35ubuntu3) jaunty; urgency=low

  * Nail another instance of dmraid output-checking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:08:56 +0000

grub-installer (1.35ubuntu2) jaunty; urgency=low

  * Hide GRUB menu if grub-installer/bootdev_directory is preseeded; this is
    used in the Wubi case where GRUB is used as a secondary boot loader, and
    so the user already had a chance to boot from another operating system
    (thanks, Agostino Russo; LP: #289791).
  * Use rootnoverify rather than root when chain-loading Microsoft operating
    systems (LP: #10661).
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:00:39 +0000

grub-installer (1.35ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation, but still generates a device.map.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device

