## grub-installer 1.43ubuntu8netbook1

=== debian/changelog ===
grub-installer (1.43ubuntu8netbook1) karmic; urgency=low

  * functions.sh: Check whether $ROOT/etc/mtab is a symlink, not /etc/mtab.
    (LP: #484832)

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 19 Nov 2009 22:40:07 -0500

grub-installer (1.43ubuntu8) karmic; urgency=low

  * If using GRUB 2 and installing to a RAID device any of whose components
    are partitions, then default to installing to the MBRs of each of the
    containing disks, since GRUB 2 will refuse to install to the partition
    devices (LP: #457687).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Oct 2009 22:02:19 +0100

grub-installer (1.43ubuntu7) karmic; urgency=low

  * Mount /target/sys when running update-grub (LP: #456776).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Oct 2009 14:08:00 +0100

grub-installer (1.43ubuntu6) karmic; urgency=low

  * Always use GRUB Legacy when /boot is on a multipath device.
  * If /boot is on SATA RAID or multipath, don't ask a question to which
    there's only one acceptable answer and the other causes grub-installer
    to fall over (LP: #452118).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Oct 2009 15:14:54 +0100

grub-installer (1.43ubuntu5) karmic; urgency=low

  * Fix mishandling of loop variable that caused the semi-manual
    dmraid/multipath/mdadm handling to fire even for disks that don't need
    it (LP: #444583).
  * Never use the semi-manual GRUB setup code for GRUB 2, since it won't
    work anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 16:13:02 +0100

grub-installer (1.43ubuntu4) karmic; urgency=low

  * Fix typo in fallback case when computing $disc_offered_devfs.
  * If /boot is on an MD device and we're using GRUB 2, install GRUB there
    rather than (hd0); GRUB 2 will interpret that as meaning that it needs
    to install to each of the RAID members (LP: #427048).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 15:22:33 +0100

grub-installer (1.43ubuntu3) karmic; urgency=low

  * Fix some hardcoded uses of /target.
  * grub_write_divider is specific to GRUB Legacy; don't call it for GRUB 2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 15:15:33 +0100

grub-installer (1.43ubuntu2) karmic; urgency=low

  * Explicitly install os-prober when using GRUB 2, since it does a better
    job than the otheros script (LP: #433259).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Sep 2009 12:28:32 +0100

grub-installer (1.43ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - Preseed grub-pc/install_devices based on grub-installer/bootdev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Sep 2009 06:56:30 +0100

grub-installer (1.43) unstable; urgency=low

  [ Felix Zielcke ]
  * Also purge grub-legacy when switching from grub-pc to grub.

  [ Colin Watson ]
  * Cope with Windows 7 in os-prober output.

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Sep 2009 14:02:40 +0100

grub-installer (1.42ubuntu2) karmic; urgency=low

  * Preseed grub-pc/install_devices based on grub-installer/bootdev (LP:
    #420604).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Sep 2009 13:56:22 +0100

grub-installer (1.42ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force

