## grub-installer 1.49ubuntu11.2

=== debian/changelog ===
grub-installer (1.49ubuntu11.2) lucid-proposed; urgency=low

  * Canonicalise device names printed by 'mdadm --detail' (LP: #695842).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Feb 2011 19:51:23 +0000

grub-installer (1.49ubuntu11.1) lucid-proposed; urgency=low

  * Install GRUB to the SATA RAID or multipath device when /boot is on such
    a device, rather than installing to the first hard disk (LP: #603854).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Nov 2010 13:16:08 +0000

grub-installer (1.49ubuntu11) lucid; urgency=low

  * 'nosplash' doesn't work because it isn't passed through by user-params.
    Use debian-installer/splash=false for this behaviour instead
    (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Apr 2010 13:26:16 +0100

grub-installer (1.49ubuntu10) lucid; urgency=low

  * Historically, Ubuntu's default behaviour in the absence of command-line
    arguments to the installer has been to pass 'splash' to the installed
    system so that it gets a splash screen (and similarly 'quiet').  There's
    some argument that this behaviour should require passing 'splash' to the
    installer as well, but it's too late in the Lucid cycle for this change.
    Nevertheless, we need a way to configure images such that they don't get
    'splash' in the installed system, so introduce a 'nosplash' argument
    which inhibits this, for use by the server CD (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 23:44:48 +0100

grub-installer (1.49ubuntu9) lucid; urgency=low

  * Ask grub-installer/only_debian at high priority again (LP: #47135).
    Originally, in Warty, we ensured that this question wouldn't be visible
    by default to support simple installations of Ubuntu with as few
    questions as possible.  However, since then, we wrote Ubiquity, which
    has taken over responsibility for the simple installation case, and it's
    become clear that automatically installing GRUB to the first disk's MBR
    is inadequate for many more complex situations.  Ironically, Ubiquity
    makes this option easily accessible from the "Advanced" dialog box, but
    Ubuntu's d-i required a special boot parameter to display it.
  * Update grub-installer/bootdev text to avoid GRUB device naming that
    changed between GRUB Legacy and GRUB 2, and to use libata-style device
    naming since that is more accurate for most people (LP: #391775)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 11:34:43 +0000

grub-installer (1.49ubuntu8) lucid; urgency=low

  * Bind-mount /proc and /sys while running grub-install (LP: #527210).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 21:33:27 +0000

grub-installer (1.49ubuntu7) lucid; urgency=low

  * Fix GPT detection to account for changed fdisk output (LP: #538100).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Mar 2010 10:00:46 +0000

grub-installer (1.49ubuntu6) lucid; urgency=low

  * Fix partition offset handling for GRUB Legacy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 11:29:05 +0000

grub-installer (1.49ubuntu5) lucid; urgency=low

  [ Joel Ebel ]
  * Add missing $serial to get proper detection of serial console options
    working.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 19 Feb 2010 17:41:03 -0500

grub-installer (1.49ubuntu4) lucid; urgency=low

  * Preseed grub-pc/install_devices_empty while installing grub-pc, since we
    deliberately defer calling grub-install until a later point.  Thanks to
    Dustin Kirkland for debugging assistance.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 12:24:22 -0800

grub-installer (1.49ubuntu3) lucid; urgency=low

  * Add $partition_offset to $bootpart when deciding which partition to make
    active based on GRUB-style device names (found while testing fix for LP
    #185878).
  * Use grub-probe to convert device names rather than relying on
    device.map.
  * Only add removable devices to device.map if using GRUB Legacy.
  * Use an appropriate OS device name rather than (hd0) if possible.
  * When installing from a non-CD medium, we only need to reset the default
    boot device if we would otherwise end up installing GRUB to the
    installation medium.
  * Convert device names to by-id form before preseeding
    grub-pc/install_devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Feb 2010 17:08:02 -0800

grub-installer (1.49ubuntu2) lucid; urgency=low

  * Don't check for LVM when we've already worked out that we're installing
    on SATA RAID.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jan 2010 19:04:14 +0000

grub-installer (1.49ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an

