## grub-installer 1.60+squeeze3

=== debian/changelog ===
grub-installer (1.60+squeeze3) stable; urgency=low

  * Restore the ability to choose to install GRUB Legacy by preseeding
    (grub-installer/grub2_instead_of_grub_legacy=false), removed in 1.60 as
    a side-effect of removing a warning message.  This is still useful e.g.
    when installing inside Xen.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Sep 2011 20:58:38 +0000

grub-installer (1.60+squeeze2) squeeze; urgency=low

  * Upload to drop .git from source tarball

 -- Otavio Salvador <otavio@debian.org>  Sat, 12 Mar 2011 15:27:43 -0300

grub-installer (1.60+squeeze1) stable-proposed-updates; urgency=low

  * Set debconf title to avoid reusing a previous one.

 -- Otavio Salvador <otavio@debian.org>  Sun, 06 Mar 2011 12:23:42 -0300
