## grub-installer 1.69

=== debian/changelog ===
grub-installer (1.69) unstable; urgency=low

  [ Joey Hess ]
  * Simplify grub package selection code.
  * Don't allow using GRUB legacy when booting from btrfs.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by Behrad Eslamifar
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Khmer (km.po) by Chan Sambathratanak
  * Kannada (kn.po) by vignesh prabhu
  * Marathi (mr.po) by sampada
  * Polish (pl.po) by Marcin Owsiany
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Martin Bagge / brother
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Sat, 19 Nov 2011 16:33:12 -0200
